2019-12-14 02:51 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002012WingsOfFury[All Projects] Generalpublic2019-11-03 21:56
ReporterMarco Neubauer 
Assigned ToCFOUProject InfoWings of Fury (Brøderbund)
http://www.whdload.de/games/WingsOfFury.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002012: Wings of Fury: sound replay
Descriptionhttp://whdload.de/games/WingsOfFury.html
Install: Moonstone (Mindscape) http://whdload.de/games/Moonstone.html
GameVersion: english,pal,2 disks
SlaveVersion: 1.3 from 15.08.2002

Ich hatte Ihnen vor einiger Zeit schon einmal über ein Problem
mit Moonstone geschrieben. Es ist so, daß die Tonwiedergabe
nicht richtig funktioniert. z.B. im Inro hört man anfangs die Trommeln
dann kommt erstmal kein Ton, erst der "Gesang" wird wiedergegeben.
Irgendwie werden nur zwei Kanäle wiedergegeben -glaube ich-.
Damals haben Sie mir geraten eine ältere Version von WHDLoad
auszuprobieren - ohne Erfolg. Ich hatte es dann aufgegeben.
Der Grund warum ich mich erneut melde, ist daß diese Problem
in dieser und ähnlicher Form in zwei weiteren Spielen auftaucht.
Einmal bei Prehistorik (würde ich mit Gleichlaufschwankungen
beschreiben; Musik+Ton ist da, plötzlich ein Teil weg, dann wieder da),
und dann bei Wings of Fury (beim feuern ertönt ein lautes Piepen).
Ich habe die entsprechenden Autoren der Hd-Fixes für beide Spiele
nicht angeschrieben, da ich denke das Problem liegt bei WHDLoad.
Ich habe eine Winner/Apollo 1240 und einige Systempatches installiert.
An den Patches kann es nicht liegen, den auch von einer "sauberen"
Bootpartition aus, treten die gleichen Probleme auf.
Also muß es an der Turbokarte liegen?
Ist das Problem bekannt?
Es haben doch bestimmt mehrere Leute diese Turbokarte.
Ich freue mich über jeden Tipp, eine neue Version von WHDLoad,
aber auch einfach über eine Antwort.
Mit freundlichem Gruß
Marco Neubauer
Additional Informationsound replay not ok
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad15.0
imported
Attached Files

-Relationships
related to 0002011closedJOTD Prehistorik Prehistorik: sound replay 
related to 0000105closedWepl Moonstone Moonstone: Ich hatte Ihnen vor einiger Zeit schon einmal über ein Problem mit 
+Relationships

-Notes

note ~0000364

CFOU (developer)

Last edited: 2009-04-23 12:45

it seems be Apollo 1240 problem

have somebody same problem with similar configuration with WoF, Moonstone and Prehistorik?

note ~0000472

haynor666 (reporter)

I have 030 turbo card and I don't recall any problems like that.

note ~0000498

CFOU (developer)

>haynor

have you Apollo or Blizzard 030 (like me)

note ~0000787

Wepl (manager)

I have duplicated the issue because user reports that sound problems present in Moonstone are similar than in Prehistorik. He assumes his 68040 as reason for this.
The problem reporting is, that the sound is not ok, is not continuesly, sometimes interrupted or missing notes.

note ~0000788

haynor666 (reporter)

actually I have Elbox card, its polish turbo card but design is very similiar to Mk2 cards

something like this

http://www.amiga-hardware.com/showhardware.cgi?HARDID=130

note ~0002748

Stellan (reporter)

I`ve also sound problems but a bit different. I use NOCACHE but without it works similar or same. Most time only some samples (e.g. motor of the plane) are played the others not. Unfortunately it is a random error. Hypothesis: When the plane run up on ship deck it plays a sound and if the plane is on deck it plays another sound. If this second sound isn`t played sound problem has occurred.

I guess it is a game or game disk image problem because I remember that on my old A500 15-20 years ago samples where mostly silent. It surly was a cracked version. Moonstone sound problems were fixed in 2011 by Wepl. I can`t remember problems on Prehistorik. So I would exclude a CPU context.


My system:
A1200 (Soft-)Kick/OS 3.1 Apollo 1240/40. For details see Mantis database.

ps: See also my other bugreport for wings of fury. It might be similar problem.

note ~0007249

CFOU (developer)

Can you test new version (RNC encrypted version supported)?

 version 1.x beta (31.10.18) done by C-Fou!:
 - Another version encrypted by RNC supported (SPS 599)
 - slave rewritten for last Kick13
 - files installation instead of disk image
   (Warning, you need re-install game)
 - new install script

note ~0007253

CFOU (developer)

new beta 2
 - Custom1=1 used to actived cheat mode at start
    In Game Cheat keys:0
    ------------------
    P: Add plane | M: Add weapons
    C: Change weapon | D: add Oil/Damage
    F: Add Fuel | Q: Quit game
    Spc: Memory info | Help: Isle info
    I: restore weapons
        Change physic keys:
    2-4: -/+ wind | 6-8: -/+ gravity
                       (bomb can flight!)

note ~0007256

CFOU (developer)

missing slave

note ~0007277

CFOU (developer)

new package released
+Notes

-Issue History
Date Modified Username Field Change
2009-04-22 09:28 Wepl New Issue
2009-04-22 09:28 Wepl Machine => A1200
2009-04-22 09:28 Wepl CPU => 68040
2009-04-22 09:28 Wepl CPUSpeed => 40
2009-04-22 09:28 Wepl ChipSet => AGA
2009-04-22 09:28 Wepl GFXCard => None
2009-04-22 09:28 Wepl ChipMem => 2 MB
2009-04-22 09:28 Wepl FastMem => 32 MB
2009-04-22 09:28 Wepl Workbench => OS 3.1
2009-04-22 09:28 Wepl KickROM => 40 - Kick 3.1
2009-04-22 09:28 Wepl KickSoft => None
2009-04-22 09:28 Wepl WHDLoad => 15.0
2009-04-22 09:28 Wepl Issue generated from: 0002011
2009-04-22 09:28 Wepl Relationship added related to 0002011
2009-04-22 09:28 Wepl Project Prehistorik => WingsOfFury
2009-04-22 09:29 Wepl Relationship added related to 0000105
2009-04-22 09:46 Wepl Assigned To => CFOU
2009-04-22 09:46 Wepl Status new => assigned
2009-04-22 09:46 Wepl Description Updated
2009-04-22 18:15 CFOU Note Added: 0000364
2009-04-22 18:15 CFOU Status assigned => feedback
2009-04-23 08:53 haynor666 Note Added: 0000472
2009-04-23 12:45 CFOU Note Edited: 0000364
2009-04-23 12:47 CFOU Note Added: 0000498
2009-04-23 18:37 Wepl Note View State: 498: public
2009-04-27 08:32 Wepl Reporter Wepl => Marco Neubauer
2009-04-27 08:32 Wepl Note Added: 0000787
2009-04-27 09:14 haynor666 Note Added: 0000788
2012-06-15 17:45 Stellan Note Added: 0002748
2019-10-31 18:31 CFOU File Added: WingsOfFuryBeta.lha
2019-10-31 18:31 CFOU Note Added: 0007249
2019-11-01 18:49 CFOU File Added: WingsOfFuryBeta2.lha
2019-11-01 18:49 CFOU Note Added: 0007253
2019-11-01 19:07 CFOU File Deleted: WingsOfFuryBeta2.lha
2019-11-01 19:08 CFOU File Added: WingsOffuryBeta3.lha
2019-11-01 19:08 CFOU Note Added: 0007256
2019-11-02 16:32 CFOU File Deleted: WingsOfFuryBeta.lha
2019-11-03 21:56 CFOU Status feedback => closed
2019-11-03 21:56 CFOU Resolution open => fixed
2019-11-03 21:56 CFOU Note Added: 0007277
+Issue History